.o-share-link-modal {
  width: 58rem;
  margin: 0 auto;
  height: 100%;
  display: flex !important;
  align-items: center;

  .rs-modal {
    width: 100vw !important;
    height: 100vh !important;
    &-dialog {
      width: 100%;
    }

    &-body {
      margin: 0;
      padding: 20px;
      display: flex;
      flex-direction: column;
      gap: 30px;
      align-items: center;
    }
  }

  .modal-header {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 30px;
    width: 100%;
    text-align: center;


    .modal-title {
      color: #374352;
      font-size: 2.8rem;
      line-height: 3.8rem;
    }

    ul{
      width: 100%;
      text-align: start;
      padding: 0 30px;
      li{
        list-style-type: disc;
        span{
          color: #202226;
          font-weight: 500;
          font-size: 14px;
          line-height: 24px;
          &.span-title{
            font-weight: 600;
            color: #000000;
          }
        }
      }
    }
  }

  .modal-content {
    position: relative;
    display: flex;
    align-items: center;
    width: 100%;

    &.input-group {
      flex-wrap: wrap;

      .input-item {
        width: calc(50% - 1.2rem);
        margin: 0 0.6rem 1.2rem 0.6rem;

        &.--checkbox {
          display: flex;
          align-items: center;

          & > span {
            margin-left: 1.2rem;
          }
        }
      }
    }

    .input-copy {
      flex: 1;
      input{
        cursor: pointer;
      }
    }

    .modal-noti {
      position: absolute;
      top: calc(100% + 0.8rem);
      left: 0;

      color: #71ac5d;
      font-size: 1.2rem;
    }
  }
  .wrapper-btn{
    padding: 0 10px;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 10px;
    .modal-send-email{
      width: 100%;
      .rs-btn{
        width: 100%;
        height: 48px;
        background: #FF6337;
        border-radius: 12px;
        display: flex;
        flex-direction: row;
        gap: 10px;
        justify-content: center;
        align-items: center;
  
        svg{
          height: 21px;
          width: 21px;
          path{
            fill: #FFF;
          }
        }
        span{
          color: #fff;
          font-weight: 500;
          font-size: 18px;
          line-height: 22px;
        }
      }
    }
    
    .btn-export-excel {
      .rs-btn {
        height: 4.8rem;
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;

        background: #EF4E2B;
        border-radius: 1.2rem;
        
        color: #fff;
        font-weight: 500;
        font-size: 18px;
        line-height: 22px;
      }
    }
    
    .modal-footer {
      text-align: center;
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      gap: 10px;
      width: 100%;
  
      &.no-back{
        .rs-btn{
          width: 100%;
        }
      }
      .rs-btn {
        min-width: 22rem;
        height: 4.8rem;
  
        background: #6262bc;
        border-radius: 1.2rem;
  
        color: #fff;
        font-weight: 500;
        font-size: 18px;
        line-height: 22px;
  
        &.primary {
          width: calc(50% - 1.6rem);
          min-width: unset;
          margin: 0 0.8rem;
        }
  
        &.secondary {
          width: calc(50% - 1.6rem);
          min-width: unset;
          margin: 0 0.8rem;
  
          background: #e4e4f0;
  
          color: #6868ac;
        }
      }
  
    }
  }
}
